The Orders API provides an access and management layer for all orders, tasking campaigns and datasets the API account has access to through the platform.
There are three key entities accessible through this api:
Orders: are the financial transaction representing the lodgement of the purchase request itself,Campaigns: requests for imagery capture that may require one or more captures to satisfy, producing Datasets for each, andDatasets: delivered data, whether for a capture under a campaign, or fulfilling an archive request.
For each of these entities, a list and a get endpoint is available, with additional list endpoints for scoping nested entities (i.e. list all datasets created by a campaign).
List Endpoints
Orders List
The Orders List endpoint will list all orders the API account has access to, whether directly, or via a team.
GET /api/orders
Query Parameters
| field | description |
|---|---|
| page | the page of results to retrieve |
| size | the size of the result page to retrieve (default 20) |
The response will contain a list of STAC Catalogs as a FeatureCollection, providing a list of orders accessible to the API.
Response
| Key | Description |
|---|---|
| context | details about the page state of the returned list |
| features | list of returned results |
| numberMatched | total number of results found to list |
| numberReturned | total number of results returned in this response |
| stac_extensions | STAC extensions that any item within the list conforms to |
| stac_version | Version of the STAC standard this response conforms to |
| timestamp | Time at which this result was generated |
| type | GeoJSON and STAC type attribute Will always be "FeatureCollection" |
Example:
{
"context": {
"limit": 20,
"matched": 19,
"page": 0,
"returned": 19
},
"features": [
"..."
],
"numberMatched": 19,
"numberReturned": 19,
"stac_extensions": [],
"stac_version": "v1.0.0",
"timestamp": "2026-10-02T01:48:49.957003897Z",
"type": "FeatureCollection"
}
Each list item will be an order STAC Catalog, as seen for the Order Get Endpoint below
Campaigns List
The Campaigns List endpoint will list all campaigns the API account has access to, whether directly, or via a team.
GET /api/campaignsGET /api/order/{order-id}/campaigns
Path Parameters
| field | description |
|---|---|
| order-id | the id of the order to scope campaigns as belonging to |
Query Parameters
| field | description |
|---|---|
| page | the page of results to retrieve |
| size | the size of the result page to retrieve (default 20) |
The response will contain a list of STAC Items as a FeatureCollection, providing a list of campaigns accessible to the API.
Response
| Key | Description |
|---|---|
| context | details about the page state of the returned list |
| features | list of returned results |
| numberMatched | total number of results found to list |
| numberReturned | total number of results returned in this response |
| stac_extensions | STAC extensions that any item within the list conforms to |
| stac_version | Version of the STAC standard this response conforms to |
| timestamp | Time at which this result was generated |
| type | GeoJSON and STAC type attribute Will always be "FeatureCollection" |
Example:
{
"context": {
"limit": 20,
"matched": 19,
"page": 0,
"returned": 19
},
"features": [
"..."
],
"numberMatched": 19,
"numberReturned": 19,
"stac_extensions": [],
"stac_version": "v1.0.0",
"timestamp": "2026-10-02T01:48:49.957003897Z",
"type": "FeatureCollection"
}
Each list item will be a campaign STAC Item, as seen for the Campaign Get Endpoint below
Datasets List
The Datasets List endpoint will list all datasets the API account has access to, whether directly, or via a team.
GET /api/datasetsGET /api/order/{order-id}/datasetsGET /api/campaign/{campaign-id}/datasets
Path Parameters
| field | description |
|---|---|
| order-id | the id of the order to scope datasets as belonging to |
| campaign-id | the id of the campaign to scope datasets as belonging to |
Query Parameters
| field | description |
|---|---|
| page | the page of results to retrieve |
| size | the size of the result page to retrieve (default 20) |
The response will contain a list of STAC Items as a FeatureCollection, providing a list of datasets accessible to the API.
Note: the list endpoint will not populate the dataset’s “assets” field, retrieve the item directly for that information.
Response
| Key | Description |
|---|---|
| context | details about the page state of the returned list |
| features | list of returned results |
| numberMatched | total number of results found to list |
| numberReturned | total number of results returned in this response |
| stac_extensions | STAC extensions that any item within the list conforms to |
| stac_version | Version of the STAC standard this response conforms to |
| timestamp | Time at which this result was generated |
| type | GeoJSON and STAC type attribute Will always be "FeatureCollection" |
Example:
{
"context": {
"limit": 20,
"matched": 19,
"page": 0,
"returned": 19
},
"features": [
"..."
],
"numberMatched": 19,
"numberReturned": 19,
"stac_extensions": [],
"stac_version": "v1.0.0",
"timestamp": "2026-10-02T01:48:49.957003897Z",
"type": "FeatureCollection"
}
Each list item will be a dataset STAC Item, as seen for the Dataset Get Endpoint below
Get Endpoints
Order Get
The Order Get endpoint will return a given order catalog entry directly.
GET /api/order/{id}
Path Parameters
| field | description |
|---|---|
| id | the id of the order to retrieve |
Response
| Key | Description |
|---|---|
| id | Unique identifier for the order |
| links | list of links to associated resources such as the orders campaigns and/or datasets. |
| properties | Descriptive properties of the order. |
| stac_extensions | STAC extensions that the order uses to describe fields |
| stac_version | Version of the STAC standard this response conforms to |
| type | GeoJSON and STAC type attribute Will always be "Catalog" |
With properties containing details about the order itself.
| Key | Description |
|---|---|
| created | Date and time the order was created at |
| order:date | Date and time the order was created at |
| order:status | Current status of the order |
| paid:amount | Amount (in currency) paid for the order |
| paid:currency | Currency that the amount paid for the order was paid in. |
| paid:tax | Amount (in currency) of tax collected for the order |
| updated | Date and time of the most recent update to the order |
Example:
{
"id": "47473395-b0d8-4ad1-9079-35b61f028e73",
"links": [
{
"href": "/api/order/47473395-b0d8-4ad1-9079-35b61f028e73",
"rel": "self",
"title": "This Order",
"type": "application/geo+json"
},
{
"href": "/api/order/47473395-b0d8-4ad1-9079-35b61f028e73/campaigns",
"rel": "child",
"title": "All Order Campaigns",
"type": "application/geo+json"
},
{
"href": "/api/order/47473395-b0d8-4ad1-9079-35b61f028e73/datasets",
"rel": "child",
"title": "All Order Datasets",
"type": "application/geo+json"
}
],
"properties": {
"created": "2026-09-18T00:35:34.733266Z",
"order:date": "2026-09-18T00:35:34.733266Z",
"order:status": "processing",
"paid:amount": 200,
"paid:currency": "USD",
"paid:tax": 20,
"updated": "2026-09-18T00:35:41.472139Z"
},
"stac_extensions": [
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/datetime.json",
"https://stac-extensions.github.io/order/v1.1.0/schema.json",
"https://docs.arlula.com/schemas/paid/v1.0.0/schema.json"
],
"stac_version": "v1.0.0",
"type": "Catalog"
}
Campaign Get
The Campaign Get endpoint will return a given campaign item entry directly.
GET /api/campaign/{id}
Path Parameters
| field | description |
|---|---|
| id | the id of the campaign to retrieve |
Response
| Key | Description |
|---|---|
| id | Unique identifier for the campaign |
| links | list of links to associated resources such as the campaigns child datasets, scheduled captures, license and containing order. |
| properties | Descriptive properties of the campaign. |
| stac_extensions | STAC extensions that the campaign uses to describe fields |
| stac_version | Version of the STAC standard this response conforms to |
| type | GeoJSON and STAC type attribute Will always be "Feature" |
With properties containing details about the campaign itself.
| Key | Description |
|---|---|
| created | timestamp for when this campaign was created |
| end_datetime | end of time period for campaign capture plan. |
| license | type of license this campaign's data will be licensed under (note: many licenses fall under `other`, where the license url will be available as a link with rel: `license`) |
| order:date | the date this campaigns order was created on |
| order:id | the identifier for the order this campaign belongs to |
| order:status | the current status of this campaign |
| paid:amount | amount paid for this campaign (in currency) |
| paid:currency | the currency this campaign was paid for in |
| paid:tax | the tax paid for this campaign (in currency) |
| product:type | the order level this campaign was ordered as (will always have a `tasking/` prefix to distinguish tasking and archive orders) |
| providers | details of the providers of this capture campaign |
| start_datetime | start of time period for campaign capture plan. |
| task-order:azimuth | the range of acceptable imaging azimuth angled for this campaign |
| task-order:gsd | the range of acceptable ground sampling distance captures for this campaign must satisfy |
| task-order:off_nadir | the range of acceptable imaging off nadir angles for this campaign |
| task-order:platforms | the list of platforms permitted to capture for this campaign |
| task-order:priority | the priority level this campaign has |
| updated | timestamp for when this campaign was last updated |
Example:
{
"geometry": {
"coordinates": [
[
[
1.4334308406644767,
46.34397250541628
],
[
1.4334308406644767,
46.28961082408744
],
[
1.3790691593355136,
46.28961082408744
],
[
1.3790691593355136,
46.34397250541628
],
[
1.4334308406644767,
46.34397250541628
]
]
],
"type": "Polygon"
},
"id": "7a70ae5e-8102-439f-88b8-f281e91123e3",
"links": [
{
"href": "https://creativecommons.org/licenses/by/3.0/legalcode",
"rel": "license",
"title": "License"
},
{
"href": "/api/campaign/7a70ae5e-8102-439f-88b8-f281e91123e3",
"rel": "self",
"title": "This Campaign",
"type": "application/geo+json"
},
{
"href": "/api/order/d5644d9d-950b-4970-a342-f2386aee1451",
"rel": "parent",
"title": "Order",
"type": "application/json"
}
],
"properties": {
"created": "2026-09-17T07:20:40.969946Z",
"end_datetime": "2026-10-13T13:00:00Z",
"license": "CC-BY-3.0",
"order:date": "2026-09-17T07:20:40.969946Z",
"order:id": "d5644d9d-950b-4970-a342-f2386aee1451",
"order:status": "pending",
"paid:amount": 100,
"paid:currency": "USD",
"paid:tax": 10,
"product:type": "tasking/orbit-view-L2",
"providers": [
{
"key": "orbit-view",
"name": "OrbitView",
"roles": [
"producer"
],
"url": ""
}
],
"start_datetime": "2026-09-17T07:16:16.472136Z",
"task-order:azimuth": [
0,
360
],
"task-order:gsd": [
0.25,
0.25
],
"task-order:off_nadir": [
0,
30
],
"task-order:platforms": [
"orbit-view-galactica",
"orbit-view-pegasus"
],
"task-order:priority": "orbit-view-high",
"updated": "2026-09-17T07:21:10.383576Z"
},
"stac_extensions": [
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/datetime.json",
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/licensing.json",
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/provider.json",
"https://stac-extensions.github.io/product/v1.0.0/schema.json",
"https://stac-extensions.github.io/order/v1.1.0/schema.json",
"https://docs.arlula.com/schemas/paid/v1.0.0/schema.json",
"https://docs.arlula.com/schemas/task-order/v1.0.0/schema.json"
],
"stac_version": "v1.0.0",
"type": "Feature"
}
Dataset Get
The Dataset Get endpoint will return a given dataset item entry directly, including its attached assets for download.
GET /api/campaign/{id}
Path Parameters
| field | description |
|---|---|
| id | the id of the dataset to retrieve |
Response
| Key | Description |
|---|---|
| assets | File assets attached to this dataset as delivered data. |
| id | Unique identifier for the dataset |
| links | list of links to associated resources such as the datasets license and containing order. |
| properties | Descriptive properties of the campaign. |
| stac_extensions | STAC extensions that the dataset uses to describe fields |
| stac_version | Version of the STAC standard this response conforms to |
| type | GeoJSON and STAC type attribute Will always be "Feature" |
With properties containing details about the dataset itself.
| Key | Description |
|---|---|
| created | the timestamp for when this dataset was created |
| datetime | the timestamp of when the scene in this dataset was captured |
| license | type of license this dataset's data will be licensed under (note: many licenses fall under `other`, where the license url will be available as a link with rel: `license`) |
| order:date | the date this datasets order was created on |
| order:id | the identifier for the order this dataset belongs to |
| order:status | the current status of this dataset |
| paid:amount | amount paid for this dataset (in currency) |
| paid:currency | the currency this dataset was paid for in |
| paid:tax | the tax paid for this dataset (in currency) |
| product:type | the order level this dataset was ordered as (will always have a `archive/` prefix to distinguish tasking and archive orders) |
| providers | details of the providers of this dataset |
| scene | the supplier identifier for the scene this dataset was created from |
| updated | the timestamp for when this dataset was last updated |
Example:
{
"assets": {
"blue": {
"created": "2026-05-28T04:21:07.790347Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/2cfdfcb0-7a28-433b-a066-3e8aca2ecf7a",
"id": "2cfdfcb0-7a28-433b-a066-3e8aca2ecf7a",
"roles": [
"data",
"raster",
"reflectance",
"blue"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B2.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"coastal": {
"created": "2026-05-28T04:21:07.811004Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/3ef70146-b574-4a34-8284-c9f4748a74f9",
"id": "3ef70146-b574-4a34-8284-c9f4748a74f9",
"roles": [
"data",
"raster",
"reflectance",
"coastal"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B1.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"ephemeris": {
"created": "2026-05-28T04:21:07.808032Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/b8b0c97f-a291-432d-9fe3-e8ea1451bad2",
"id": "b8b0c97f-a291-432d-9fe3-e8ea1451bad2",
"roles": [
"metadata",
"structured",
"angular",
"ephemeris"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_ANG.txt",
"type": "text/plain"
},
"green": {
"created": "2026-05-28T04:21:07.785798Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/611f64ef-7ce7-4ffa-a4ec-b2efb33cbf49",
"id": "611f64ef-7ce7-4ffa-a4ec-b2efb33cbf49",
"roles": [
"data",
"raster",
"reflectance",
"green"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B3.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"metadata_json": {
"created": "2026-05-28T04:21:07.778259Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/a7377dcf-663a-43f0-9327-ec67c745a1dd",
"id": "a7377dcf-663a-43f0-9327-ec67c745a1dd",
"roles": [
"metadata",
"structured",
"general"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_MTL.json",
"type": "application/json"
},
"metadata_xml": {
"created": "2026-05-28T04:21:07.822165Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/362ed57d-72f8-4430-88ea-73731b7577c1",
"id": "362ed57d-72f8-4430-88ea-73731b7577c1",
"roles": [
"metadata",
"structured",
"general"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_MTL.xml",
"type": "application/xml"
},
"nir": {
"created": "2026-05-28T04:21:07.816315Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/eb12885d-16b9-4c54-b36e-7434e1d7724e",
"id": "eb12885d-16b9-4c54-b36e-7434e1d7724e",
"roles": [
"data",
"raster",
"reflectance",
"nir"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B5.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"quality": {
"created": "2026-05-28T04:21:07.824531Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/030e0f86-fa0c-47b3-95e5-16f910fd8596",
"id": "030e0f86-fa0c-47b3-95e5-16f910fd8596",
"roles": [
"metadata",
"raster",
"cloud",
"cloud-shadow",
"snow-ice",
"water-mask"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_QA_PIXEL.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"red": {
"created": "2026-05-28T04:21:07.813837Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/2ea89404-e7d3-403a-b219-ec98b53a26a6",
"id": "2ea89404-e7d3-403a-b219-ec98b53a26a6",
"roles": [
"data",
"raster",
"reflectance",
"red"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B4.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"swir16": {
"created": "2026-05-28T04:21:07.819283Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/b6a5690e-2bed-4c63-859d-651b2e534edb",
"id": "b6a5690e-2bed-4c63-859d-651b2e534edb",
"roles": [
"data",
"raster",
"reflectance",
"swir1"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B6.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"swir2": {
"created": "2026-05-28T04:21:07.800605Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/3e1654bf-dd98-4f4f-b327-0102148d8801",
"id": "3e1654bf-dd98-4f4f-b327-0102148d8801",
"roles": [
"data",
"raster",
"reflectance",
"swir2"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_SR_B7.TIF",
"type": "image/tiff; application=geotiff; profile=cloud-optimized"
},
"thumbnail": {
"created": "2026-05-28T04:21:07.781268Z",
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df/resource/bea0fadf-2d24-46b7-aef2-9af41025a2d8",
"id": "bea0fadf-2d24-46b7-aef2-9af41025a2d8",
"roles": [
"metadata",
"raster",
"summary",
"thumbnail"
],
"title": "LC08_L2SP_088082_20260408_20260416_02_T1_thumb_large.jpeg",
"type": "image/jpeg"
}
},
"geometry": {
"coordinates": [
[
[
152.98334562970336,
-30.69286871143725
],
[
154.90330553649684,
-31.06944422787199
],
[
154.4611848989965,
-32.790931649832835
],
[
152.50513222320083,
-32.407967696756714
],
[
152.98334562970336,
-30.69286871143725
]
]
],
"type": "Polygon"
},
"id": "d14e1508-33c9-4af7-a8eb-ff377f3ad6df",
"links": [
{
"href": "https://creativecommons.org/licenses/by/3.0/legalcode",
"rel": "license",
"title": "License"
},
{
"href": "/api/dataset/d14e1508-33c9-4af7-a8eb-ff377f3ad6df",
"rel": "self",
"title": "This Dataset",
"type": "application/geo+json"
},
{
"href": "/api/order/452507fc-743b-45c6-8fc2-c555131276bf",
"rel": "parent",
"title": "Order",
"type": "application/json"
}
],
"properties": {
"created": "2026-05-28T04:21:05.395496Z",
"datetime": "2026-04-08T23:36:43.893904Z",
"license": "CC-BY-3.0",
"order:date": "2026-05-28T04:21:05.395496Z",
"order:id": "452507fc-743b-45c6-8fc2-c555131276bf",
"order:status": "complete",
"product:type": "archive/landsat-default",
"providers": [
{
"key": "landsat",
"name": "Landsat",
"roles": [
"producer"
],
"url": ""
}
],
"scene": "LC08_L2SP_088082_20260408_20260416_02_T1_SR",
"updated": "2026-05-28T04:21:07.775484Z"
},
"stac_extensions": [
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/datetime.json",
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/licensing.json",
"https://github.com/radiantearth/stac-spec/blob/master/item-spec/json-schema/provider.json",
"https://stac-extensions.github.io/product/v1.0.0/schema.json",
"https://stac-extensions.github.io/order/v1.1.0/schema.json"
],
"stac_version": "v1.0.0",
"type": "Feature"
}
Downloading Assets
Each asset in the STAC item is a file that makes up that dataset’s available information.
Each has a set of roles indicating the type of resource that file is, and it can be retrieved from its associated href endpoint.
When downloading these resources, they will be returned as a direct binary stream with associated Content-Disposition and Filename headers to indicate the filename (in addition to where this is available via the asset).
If a resources id is available, a direct download endpoint is available at GET /api/resources/{id}.
Which can be used for download, so long as there is sufficient access to the owning dataset.
Please note, these download url’s may involve redirects, which should be followed to obtain the resultant file.